%global debug_package %{nil}

Name: python-frozenlist
Epoch: 100
Version: 1.2.0
Release: 1%{?dist}
Summary: List-like structure implements collections.abc.MutableSequence
License: Apache-2.0
URL: https://github.com/aio-libs/frozenlist/tags/tag
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-cython
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Click is a Python package for creating command line interfaces in a
composable way with as little code as necessary. It's the "Command Line
Interface Creation Kit". It is configurable, and comes with defaults out
of the box.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitearch} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitearch}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-frozenlist
Summary: List-like structure implements collections.abc.MutableSequence
Requires: python3
Provides: python3-frozenlist = %{epoch}:%{version}-%{release}
Provides: python3dist(frozenlist) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-frozenlist = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(frozenlist) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-frozenlist = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(frozenlist) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-frozenlist
The list is mutable until FrozenList.freeze() is called, after which
list modifications raise RuntimeError. A FrozenList instance is
hashable, but only when frozen. Attempts to hash a non-frozen instance
will result in a RuntimeError exception.

%files -n python%{python3_version_nodots}-frozenlist
%license LICENSE
%{python3_sitearch}/frozenlist*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-frozenlist
Summary: List-like structure implements collections.abc.MutableSequence
Requires: python3
Provides: python3-frozenlist = %{epoch}:%{version}-%{release}
Provides: python3dist(frozenlist) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-frozenlist = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(frozenlist) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-frozenlist = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(frozenlist) = %{epoch}:%{version}-%{release}

%description -n python3-frozenlist
The list is mutable until FrozenList.freeze() is called, after which
list modifications raise RuntimeError. A FrozenList instance is
hashable, but only when frozen. Attempts to hash a non-frozen instance
will result in a RuntimeError exception.

%files -n python3-frozenlist
%license LICENSE
%{python3_sitearch}/frozenlist*
%endif

%changelog
